"use client"
import { useState } from "react";
import InfoText from "./InfoText";
import Link from "next/link";


export default function Banner() {

  const [active, setActive] = useState("Sobre a BNCC");

  const [infos, setInfos] = useState([
    { id: 1, text: "Sobre a BNCC" },
    { id: 2, text: "As versões da BNCC" },
    { id: 3, text: "Texto final da Base" },
    { id: 4, text: "Artigos que discutem a Base" },
    { id: 5, text: "Vídeos a respeito da Base" },
    { id: 6, text: "Indique materiais sobre a BNCC" }
  ])

  return (
    <>
      <div className="border border-primaryColor rounded-[10px] mt-[5rem]">
        <div className="flex flex-col m-[1rem] ">
          <h3 className="text-2xl/[1.6rem] ">A Educação Física na Base - Curadoria</h3>
          <div className="flex flex-col mt-[1.6rem] sm:flex-row ">

            <div className="overflow-y-hidden overflow-x-auto scrollbarBanner sm:flex ">
              <ul className="list-none flex flex-row justify-between gap-[1.5rem] w-max  sm:flex-col  ">
                {infos.map((info) => (
                  <li
                    className={`text-lg ${active === info.text && `underline-offset-[0.3rem] underline decoration-primaryColor decoration-solid decoration-2`}`}
                    key={info.id} onClick={e => setActive(info.text)}>
                    {info.text}
                  </li>
                ))}
              </ul>

            </div>

            <div className="w-[100%] h-[19rem] overflow-y-auto scrollbarBanner text-justify leading-[1.4rem] sm:ml-[1rem] ">
              <InfoText ativo={active} />
            </div>
          </div>

          <div className="flex justify-end mt-[2rem] gap-[1rem]">
            <Link className="bg-primaryColor p-[1rem] w-[10rem] text-center text-secondaryColor text-base/[1rem] font-medium rounded-[6px]" href={"http://basenacionalcomum.mec.gov.br/abase/"} target={"http://basenacionalcomum.mec.gov.br/abase/"}>
              <p>BNCC</p>
              <p>para navegação</p>
            </Link>
            <Link className="bg-primaryColor p-[1rem] w-[10rem] text-center text-secondaryColor text-base/[1rem] font-medium rounded-[6px]" href={"http://basenacionalcomum.mec.gov.br/images/BNCC_EI_EF_110518_versaofinal_site.pdf"} target={"http://basenacionalcomum.mec.gov.br/images/BNCC_EI_EF_110518_versaofinal_site.pdf"}>
              <p>BNCC</p>
              <p>em pdf</p>
            </Link>
          </div>
        </div>
      </div>


    </>

  )

}